Help Center

My JibJab Account →

What are the minimum system/browser requirements to use JibJab?

Here's a list of browsers/minimum versions we support.

Desktop:

  • Chrome 40+
    Edge 13+
    FireFox 48+
    Internet Explorer 11+
    Safari 8+ for your iPhone and 9+ for your Mac

Mobile:

  • iOS 9+

We do not support the AOL Browser.